%define name ddd
%define version 3.3
%define release 3mdk

Name: %{name}
Summary: DDD is a Graphical frontend for GDB
Version: %{version}
Release: %{release}
Source: ftp://ftp.th-darmstadt.de/pub/programming/tools/ddd/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.th-darmstadt.de/pub/programming/tools/ddd/%{name}-3.2.1-html-manual.tar.bz2
Group: Development/Other
URL: http://www.gnu.org/software/ddd/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
The Data Display Debugger provides a graphical front end for the Gnu DeBugger
(GDB).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%ifarch (ppc)
%configure
%endif

%configure --without-athena

make

%install

%makeinstall

mkdir $RPM_BUILD_ROOT%{_docdir}
tar xIvf $RPM_SOURCE_DIR/%{name}-3.2.1-html-manual.tar.bz2 
#cp -r $RPM_SOURCE_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/.

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/ddd"\
title="Ddd"\
longtitle="Data Display Debugger"\
needs="x11"\
section="Applications/Development/Tools"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}

#%clean
#rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ddd-3.2.1/*
%{_bindir}/*
%{_mandir}/man1/*
%_datadir/ddd*
%{_menudir}/*

%changelog
* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-3mdk
- fix files section

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-2mdk
- fixes descompression of doc (thx Ryan T. Sammartino)

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-1mdk
- updated to 3.3

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-3mdk
- ifarch ppc

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-2mdk
- disabled athena widgets

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- updated to 3.2.1
- add doc
- bm & macros

* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>
